Observability
Show trace or model metrics by time bucket, optionally grouped
GET /v1/observability/metrics · SDK getObservabilityMetrics · CLI deployments observability metrics
GET
Requires observability:read.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
from?stringInclusive window start (RFC 3339); defaults to to minus 24 hours.
Format
date-timeto?stringWindow end (RFC 3339); defaults to now.
Format
date-timeinterval?stringBucket width; defaults to hour.
Value in
"hour""day"groupBy?stringOptional dimension. Agent dimensions aggregate finalized traces; model and provider aggregate model invocations.
Value in
"agentDefinitionId""agentDeploymentId""agentReleaseId""model""provider"agentDeploymentId?stringOnly traces and model invocations of this agent deployment.
Match
^[A-Za-z0-9._:-]+$Length
1 <= length <= 160x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ObservabilityMetricSeriesResponse
application/json- response
from*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timegroupBy?stringValue in
"agentDefinitionId""agentDeploymentId""agentReleaseId""model""provider"interval*stringValue in
"hour""day"items*array<|>source*stringValue in
"model-invocations""traces"to*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timecurl -X GET "https://example.com/v1/observability/metrics" \ -H "x-deployments-organization: string"{ "from": "2019-08-24T14:15:22Z", "groupBy": "agentDefinitionId", "interval": "hour", "items": [ { "bucket": "2019-08-24T14:15:22Z", "error_count": 0, "group_value": "string", "p50_duration_ms": 0, "p95_duration_ms": 0, "total_cost_usd_micros": 0, "total_tokens": 0, "trace_count": 0 } ], "source": "model-invocations", "to": "2019-08-24T14:15:22Z"}